<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">
<header id="header" role="banner" class="header-footer-bgcolor">
	<section id="branding">
	<?php urban_square_the_custom_logo(); ?>
		<div id="site-title">
			<?php 
				if ( ! is_singular() ) { echo '<h1>'; }
				else { echo '<div>'; } ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_html( get_bloginfo( 'name' ), 'urban-square' ); ?>" rel="home"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></a>
			<?php if ( ! is_singular() ) { echo '</h1>'; }
				else { echo '</div>'; } ?>
		</div>
		<div id="site-description"><?php bloginfo( 'description' ); ?></div>
	</section>
	<nav id="menu" role="navigation">
		<?php urban_square_searchbox_switcher(); ?>
		<div class="button-panel">
			<button class="menu-button-title supporting-bgcolor supporting-secondary-color" title="<?php esc_attr_e( 'Menu:', 'urban-square' ); ?>">
				<span class="menu-label reverse-supporting-color"><?php _e( 'Menu:', 'urban-square' ); ?></span>
			</button>
			<form action="#sidebar"><button class="site-navigation-title supporting-bgcolor supporting-secondary-color" title="<?php esc_attr_e( 'Go to site navigation', 'urban-square' ); ?>">
				<span class="site-nav-label reverse-supporting-color"><?php _e( 'Go to site navigation', 'urban-square' ); ?></span>
			</button></form>
		</div>
			<?php wp_nav_menu( array( 'theme_location' => 'main-menu' ) ); ?>
	</nav>
</header>
<div id="container">