<?php
/* Covers Header Text Hover, Menu/Widgets Background, Header/Footer/Sidebar colors */
if ( $header_footer_bgcolor != '' ) {
	$enqueue_main_style;
	$header_footer_bg_css = '
/* Header, Sidebar and Footer background colors */
#wrapper .header-footer-bgcolor {
	background-color: ' . $header_footer_bgcolor . ';
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $header_footer_bg_css );
}
	
if( $header_secondary_color != '' ) {
	 $enqueue_main_style;
	 $header_hovercolor_css = '
/* Header hover and active color */
#site-title a:active,
.desktop #site-title a:hover {
	color: ' . $header_secondary_color . ';
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $header_hovercolor_css );
}

if( $menu_widgets_bgcolor != '' ) {
	$enqueue_main_style;
	$menu_widgets_bgcolor_css = '
/* Menu and Widgets background color */
#header .menu ul,
#header ul.menu,
#header .menu .page_item a:link,
#header .menu .page_item a:visited,
#header ul.menu .menu-item a:link,
#header ul.menu .menu-item a:visited,
#header .menu .icon-sort-desc {
	background-color: ' . $menu_widgets_bgcolor . ';
}
		
#header .menu .children,
#header ul.menu .sub-menu {
	background-color: ' . $menu_widgets_bgcolor . ';
}
		
.widget-area {
	background-color: ' . $menu_widgets_bgcolor . ';
}

#footer ul.xoxo {
	background-color: ' . $menu_widgets_bgcolor . ';
}

@media ( min-width: 48em ) {
	#header .menu ul,
	#header ul.menu {
		background-color: transparent;
	}
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $menu_widgets_bgcolor_css );
}

$enqueue_main_style;
$active_tab_css = '
/* apply body bg color to active tab in menu */
body.custom-background #header .menu .current_page_item a:link, 
body.custom-background #header .menu .current_page_item a:visited, 
body.custom-background #header .menu .current_page_item .icon-sort-desc {
	background-color: #' . get_background_color() . ';
}
			
body.custom-background #header .menu .current_page_item .children a:link,
body.custom-background #header .menu .current_page_item .children a:visited,
body.custom-background #header .menu .current_page_item .sub-menu a:link,
body.custom-background #header .menu .current_page_item .sub-menu a:visited,
body.custom-background #header .menu .current_page_item .children .icon-sort-desc,
body.custom-background #header .menu .current_page_item .sub-menu .icon-sort-desc {
	background-color: transparent;
}';
wp_add_inline_style( 'urban-square-main-stylesheet', $active_tab_css );
?>