<?php
/* Covers Reverse colors (Black/White) for text, links, supporting colors and Everything Else */

if( get_theme_mod( 'reverse_textcolor' ) == 1 ) {
	$enqueue_main_style;
	$reverse_textcolor_css = '
#content {
	color: #fff;
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $reverse_textcolor_css );
}

if( get_theme_mod( 'reverse_menu_linkcolor' ) == 1 ) {
	$enqueue_main_style;
	$reverse_menu_linkcolor_css = '
#header .menu a:link,
#header .menu a:visited,
.desktop #header .menu .current_page_item a:hover {
	color: #333 !important;
}
	
#header .menu li a:active,
.desktop #header .menu li a:hover {
	color: #000 !important;
}

.widget-container ul li a:link,
.widget-container ul li a:visited,
#footer ul.xoxo a:link,
#footer ul.xoxo a:visited {
	color: #333;
}
		
.widget-container ul li a:active,
.desktop .widget-container ul li a:hover,
#footer ul.xoxo a:active,
.desktop #footer ul.xoxo a:hover {
	color: #000;
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $reverse_menu_linkcolor_css );
}

if( get_theme_mod( 'reverse_menu_linkcolor_white' ) == 1 ) {
	$enqueue_main_style;
	$reverse_menu_linkcolor_white_css = '
#header .menu a:link,
#header .menu a:visited,
.desktop #header .menu .current_page_item a:hover {
	color: #fff !important;
}

#header .menu li a:active,
.desktop #header .menu li a:hover {
	color: #fff;
}

.widget-area .widget-container,
#footer ul.xoxo {
	color: #f5f5f5;
}

#wp-calendar tbody {
	color: #333333;
}

.widget-container ul li a:link,
.widget-container ul li a:visited,
#footer ul.xoxo a:link,
#footer ul.xoxo a:visited {
	color: #fff;
}
		
.widget-container ul li a:active,
.desktop .widget-container ul li a:hover,
#footer ul.xoxo a:active,
.desktop #footer ul.xoxo a:hover  {
	color: #fff;
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $reverse_menu_linkcolor_white_css );
}

if( get_theme_mod( 'reverse_supporting_color' ) == 1 ) {
	$enqueue_main_style;
	$reverse_supporting_color_css = '
#search .reverse-supporting-color,
#menu .reverse-supporting-color,
#sidebar .reverse-supporting-color,
#content .reverse-supporting-color a:link,
#content .reverse-supporting-color a:visited,
a.comment-reply-link:link,
a.comment-reply-link:visited,
#wp-calendar tr th,
#wp-calendar td a {
	color: #333;
}

#wp-calendar td a:hover,
#wp-calendar td a:focus,
.desktop #wp-calendar td a:hover,
.desktop #wp-calendar td a:focus {
	color: #000;
}

.widget-title + .icon-sort-desc {
	border-left: 1px solid #333;
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $reverse_supporting_color_css );
}

if ( get_theme_mod( 'reverse_everything_textcolor' ) == 1 ) {
	$enqueue_main_style;
	$reverse_everything_textcolor_css = '
blockquote, q,
table, tbody,
pre,
body .sticky,
body #commentform,
body .bypostauthor .comment-author {
	color: #333;
}

body #commentform a:active,
body #commentform a:hover {
	color: #000;
}
				
#content table caption {
	color: #fff;
}';
	wp_add_inline_style( 'urban-square-main-stylesheet', $reverse_everything_textcolor_css );
}
?>